DRIVER PLEASE Beryl en Ubuntu con una tarjeta ATI Radeon x1600 512 mb (ni en los mejores sueños)

Imagen de kid
kid
0 puntos

Muy Buenas ... O soy muy tonto o no encuentro lo q busco llevo unos cuantos meses intentando meter el beryl en ubuntu 7.04 Tengo una tarjeta video ATI RADEON X1600 de 512 MB. Instale el driver de Ati del propietario .. de la pagina de ati e intente ejecutar el beryl pero falla intente tambien con el Driver Ati mas generalizado .. en el que viene incluidos muchos otros drivers de otras series ...que lo encontre en añadir y quitar programas he mirado por todos los lados a ver si hay algun driver libre.. me han dicho que espere a lo mejor sale algo .. y no se que hacer si alguien puede ayudarme con algo se lo agradezco mucho

 Gracias de antemano

Saludos y Viva Linux :)

 

 

Imagen de kid
+1
0
-1

Veo que no mira ni Dios esto .. a ver si tengo suerte.

+1
0
-1
Imagen de _Lancer_
+1
0
-1

yo tengo exactamente el mismo problema, pero yo aun tengo dudas con el driver, me instale uno llamado ATI binary X.org driver; ¿es el adecuado?

espero que nos puedan ayudar

saludos 

+1
0
-1
Imagen de TASADAR-F
+1
0
-1

voy a intentar aclararte un poco las alternativas que tienes.

Usar el driver fglrx propietario + XGL (tendras que seguir un tutorial para desactivar aiglx y activar xgl)

Usar el driver libre + aiglx (Usar aiglx es lo ideal pero el driver libre "ati" tiene que mejorar mucho y no creo que soporte bien de momento aiglx para tu grafica, para mi ati 9600 si que lo soporta) (La version 7.10 viene con driver "ati"libre nuevo igual funciona parcialmente)

Y ahora la mejor alternativa que no existe pero tengo noticias que saldra antes de 2 meses 

fglrx propietarios + aiglx (Actalmente el driver propietario no lo soporta pero en menos de 2 meses saldra uno compatible donde funcionara beryl o compiz-fusion a las mil maravillas) 

+1
0
-1
Imagen de Krakatoa
+1
0
-1

Yo acabo de configurar mi ATI radeon X 800XL, con compiz, y funciona todo de PM. Intente instalar toda clase de drivers (oficiales, los libres de ubuntu, drivers xorg, y nada), con ninguno me salian los efectos. Lo arregle, dejando ubuntu sin drivers, he instalando compiz, y todo ok.

 

Prueba a ver si tienes suerte.

 PD: Yo tengo problemas de grafica al emular el juego counter strike source, con wine

Saludos 

+1
0
-1
Imagen de TASADAR-F
+1
0
-1

Si que estas usando drivers si no no verias nada por pantalla. Lo mas seguro que estes usando los drivers libres ati que son los que vienen por defecto.

A mi me funciona beryl y compiz tambien muy bien con los ati libre pero con su tarjeta grafica X1600 que es 2 generaciones por delante de la mia no creo que le funcione 

Puedes comprobarlo mirando ejecutando el comando: glxinfo 

+1
0
-1
Imagen de Hagen87
+1
0
-1

Hola, mira estuve buscando por muchos lados como instalar beryl en ubuntu 7.04 y la verdad q lo termine haciendo solo y de la manera mas simple, no se como lo estaras haciendo vos pero te comento como lo hice yo. La unica diferencia es q tengo una placa nvidia, pero supongo q si tus drivers estan bien instalados y tienen el soporte para glx activado deberia andar tambien. Con Synaptic instala el beryl, el beryl-manager y el tema de Emerald (para q tenga otro aspecto nomas pero no es necesario). Una vez q se termino de instalar vas a Sistema>Preferencias>Sesiones y creas una nueva entrada para q cargue el baryl-manager al inicio de tu sesion, si openGL y glx estan activados y soportados no deberias tener mayores inconvenientes. Igual lei por otros lados q varios usuarios se quejan de q ATI no saca drivers para linux como lo hace nvidia (sinceramente no se a q se refieren bien porq en la pagina de ati encontre los drives para linux) pero evidentemente hay problemas generalizados con baryl y ati. Espero q esta ayuda te sirva de algo.

 

Los cobardes mueren muchas veces en al vida, los valientes solo una.

+1
0
-1

Phenom x3 8650 @ 2643 MHz
2x2 Gb DDR2 800 G-Skill Pi Black Edition 4-4-4-12
HIS Radeon 4850 256 Mb
Gigabyte MA790x-DS4
LG Flatron w2241
Ubuntu 9.04 64 bits

Imagen de TASADAR-F
+1
0
-1

Hagen a ti te funciona perfectamente porque los drivers de Nvidia de momento son superiores a ATI y ademas son compatibles con aiglx que es lo que soporta beryl.

Asi que con ati hay 2 problemas conseguir instalarlo y el segundo conseguir beryl.

En el futuro van a mejorar mucho las ati porque se ha liberado especificaciones y parte del codigo, ademas ati esta trabajando en crear mejores driver antes de 2 meses han anunciado que soportaran aiglx algo importantisimo para que beryl o compiz funcionen bien 

+1
0
-1
Imagen de Hagen87
+1
0
-1

Muchas gracias por la aclaracion Tasadar, no sabia bien cual era la razon por la cual funciona beryl en nvidia y no con ati, porq como dije antes en varios foros vi problemas de este tipo. 


Los cobardes mueren muchas veces en al vida, los valientes solo una.

+1
0
-1

Phenom x3 8650 @ 2643 MHz
2x2 Gb DDR2 800 G-Skill Pi Black Edition 4-4-4-12
HIS Radeon 4850 256 Mb
Gigabyte MA790x-DS4
LG Flatron w2241
Ubuntu 9.04 64 bits

Imagen de kid
+1
0
-1

Tengo entendido que ati ya tiene un acuerdo con linux y que mejoraran los drivers ... lo que pasa con el driver propietario de ati para mi tarjeta:

1. deja muy claro en las instrucciones de instalacion que solo sirve para

  • Red Hat Enterprise Linux suite
  • Novell/SuSE product suite

2. al finalizar la instalación no puedo iniciar la configuracion del driver para ajustar colores y demas ni en modo grafico ni en la consola xq me falta algo en el /etc/x11/ .. y dice q copie un archivo .. todavia estoy en ello a ver si mañana lo arreglo pero dudo q funcione

Espero que con la version 7.10 me funccione todo bien. Agradezco mucho su ayuda.

 

Saludos 

+1
0
-1
Imagen de TASADAR-F
+1
0
-1

El driver oficial da soporte especifico para redhat y novell, pero es totalmente compatible con cualquier otra distribucion aqui te dejo el manual para que lo instale:

Crear un directorio vacío y bajar el driver para linux de la web oficial [[1] http://ati.amd.com/support/driver.html]

Descargar los paquetes necesarios para instalar el driver.

 sudo apt-get install module-assistant build-essential debhelper debconf dh-make fakeroot libstdc++5 linux-headers-generic

Ejecutar el driver para que nos genere los paquetes necesarios para Ubuntu feisty, donde pone ati-driver-installer-<version>.run tendremos que escribir el nombre completo de nuestro driver que ira cambiando cuando aparezcan versiones nuevas.

 bash ./ati-driver-installer-<version>.run --buildpkg Ubuntu/feisty

Instalamos todos los paquetes con:

 sudo dpkg -i *.deb

No hace falta instalar todos los paquetes que contienen -dev no es necesario instalarlos. Ahora tenemos que compilar el modulo para ello usamos los siguientes comandos:

 sudo m-a prepare,update 
sudo m-a build,install fglrx-kernel
sudo depmod
sudo rm -f /usr/src/fglrx-kernel*.deb

Ahora tenemos que meter el driver propietario fglrx que viene de serie en ubuntu en la lista negra para que nos deje arrancar con el nuevo driver, usando gedit o tu editor de texto preferido (Cambiar gedit por tu editor) hacer esto:

 sudo gedit /etc/default/linux-restricted-modules-common

Buscar una linea que es DISABLED_MODULES="" (puede estar vacia o tener algo dentro de las comillas ). Tenemos que añadir fglrx en mi caso queda asi: DISABLED_MODULES="fglrx" El ultimo paso es activar en el gestor de controladores restringidos el driver o cambiar en el xorg.conf driver "loquesea" por driver "fglrx"

 

+1
0
-1
Imagen de kid
+1
0
-1

Muchas Gracias TSADAR-F   me va de maravilla el driver... lo unico q no va es el beryl .. :D a ver si con el 7.10 me ira, he seguido los pasos y es facil gracias de nuevo saludos

+1
0
-1
Imagen de TASADAR-F
+1
0
-1

Kid es que el driver oficial de ATI no soporta aiglx que es la manera automatica de hacer funcionar beryl o compiz. En menos de 10 dias va a salir un driver nuevo que si que va a soportar aiglx.

 

+1
0
-1
Imagen de kid
+1
0
-1

Instale la 7.10 con las actualizaciones y demas luego me entere de que el driver de ati esta actualizado y supongo que lo esta por que la capacidad era de unos cuantos mb mas grande que el anterior el beryl ni se mueve.. formatee y puse la 7.04 instale el driver que creo que es el actualizado .. instale beryl ... y sigue igual igual igual ....ni se mueve que puedo hacer ?

+1
0
-1
Imagen de TASADAR-F
+1
0
-1

Para la version 7.10 con compizfusion funciona perfectamente el driver fglrx que acaba de salir y los efectos 3D. Hay que instalar el driver fglrx bien asegurandose con el comando fglrxinfo. Y luego hay q seguir 1 paso extra para que ubuntu de permiso a compizfusion.

En una de las bitacoras de este foro encontraras el tutorial. 

+1
0
-1
Imagen de _Lancer_
+1
0
-1

pues yo trate de hacerlo con una guia que encontre en los foros, pero namas y no me salio, tuve que fromatear devido a que no encontre como recuperar el sistema :( , pero ahora voy a probar la version 7.10 a ver que tal.

saludos 

+1
0
-1
Imagen de akyra
+1
0
-1

Yo tengo una ATI Radeon Xpress 1100 y he tenimo muchos problemas para hacer funcionar el Beryl, pero al final encontre la solución.

Esta consite en hacer un downgrade de Beryl a la versión 2.0, aquí te envio un pequeño fragmento

"Ya que mencionabamos que la nueva version de Beryl 2.1 no es compatible con Xgl, entonces hay que descontinuar su nucleo solamente a la version 2.0 de esta forma:

sudo apt-get install beryl-core=0.2.0~0beryl1

 

También te envio la dirección donde encontrarás la solución, yo sólo lo he probado en Ubuntu 7.04, no en la 7.10.

http://www.ubuntu-ve.org/?q=node/933 

Suerte.

+1
0
-1